import { Observable } from 'rxjs/Observable';
import { HttpClient } from '@angular/common/http';
import { SharePointServiceConfig } from './sharepoint.service.config';
import { SharePointList } from './sharepoint-list';
export declare class SharepointService {
    private http;
    url: string;
    constructor(config: SharePointServiceConfig, http: HttpClient);
    getListItems(list: SharePointList): Observable<any[]>;
    getListItemsSimple(list: string, view: string, site?: string, limit?: string): Observable<any[]>;
    getPeople(): Observable<any[]>;
}
